<?php 
require_once (ROOT_PATH. 'configs/js.ver.php');

if(array_key_exists($this->sBiz, $vers)){// package version
  $ver = $vers[$this->sBiz];
}
else{
  $ver = json_encode($jsVers[$this->sBiz]);
}

/**--prejs.shtml start--*/
$prejs = <<<eof
<script type="text/javascript">
    function hasClass(el, n){
        if(!el || !el.className){
            return false;
        }
        return el.className != el.className.replace(new RegExp('\\b' + n + '\\b'),'');
    }

    function addClass(el, n){
        if(el){
            if(!el.className){
                el.className = n;
            }
            else if(!hasClass(el, n)){
                el.className += ' ' + n;
            }
        }
    }

    var COMEFROM = location.href.match(/comefrom=([^&]*)/);
    if(COMEFROM){
        COMEFROM = COMEFROM[1];

        addClass(document.body, COMEFROM);
    }
</script>
eof;
/*--prejs.shtml end--*/
/*--js.shtml start--*/
$js = <<<eof
<script type="text/javascript">
    function loadScript(src, callback){
        var el=document.createElement('script');

        if(callback){
            el.onload=el.onerror=el.onreadystatechange=function(){
                var s=this.readyState;
                if(!s || (s && (s == 'loaded' || s == 'complete'))){
                    callback(src);
                }
            }
        }

        el.type='text/javascript';
        el.src=src;
        el.async='true';

        document.getElementsByTagName('head')[0].appendChild(el);
    }

    function NanoEvtProxy(){
        this.handlers={};
        this.isbinded={};
    }

    NanoEvtProxy.prototype={
        constructor:NanoEvtProxy,
        on:function(type,handler){
            if(typeof this.handlers[type]=='undefined'){
                this.handlers[type]=new Array();
            }
            this.handlers[type].push(handler);
        },
        off:function(type,handler){
            if(this.handlers[type] instanceof Array){
                var handlers=this.handlers[type];
                for(var i=0,len=handlers.length;i<len;i++){
                    if(handler[i]==handler){
                        handlers.splice(i,1);
                        break;
                    }
                }
            }
        },
        trigger:function(type, data){
            if(this.handlers[type] instanceof Array){
                var handlers=this.handlers[type];
                for(var i=0,len=handlers.length;i<len;i++){
                    handlers[i](data);
                }
            }
            this.isbinded[type] = true;
        },
        detect:function(type){
            return this.isbinded[type];
        }
    }

    var nanoEvtProxy = new NanoEvtProxy();

    window.versionCb=function(vers){//获取版本号
      var pkg = (typeof vers != 'object' && vers.indexOf('{') == -1);// 是否为整体打包
      if(!pkg){
        vers = JSON.parse(vers);
      }
      var jsConf={
        base : 'http://mat1.gtimg.com/city/',
        vers : vers
      };
      var sBiz = '{$this->sBiz}';//在php文件中，从页面获取项目名
      var core_key='core';//项目js库文件
      var base = '';//js base路径
      var core_src;
      if(pkg){//资源整体打包方案
        base = jsConf.base + sBiz + '/';
        core_src=[base, vers, '/js/entry/', core_key, '.js'].join('');
      }
      else{
        base = jsConf.base + 'js/' + sBiz + '/';
        core_src=[base, core_key, '_', vers[core_key] + '.js'].join('');
      }

      loadScript(core_src, function(){
        if(!pkg){
          var alias={};
          //seajs配置
          $.each(jsConf.vers, function(idx, ver){
            var value = idx + '_' + ver + '.js';
            if(/^lib\/.*/.test(idx)){//"lib/xxx"模块放在公共目录中
              value = jsConf.base + value;
            }
            alias[idx]=value;
          });

          seajs.config({
            base : base,
            alias : alias
          });

          //程序入口
          seajs.use('router/index', function(router){
            var page = (typeof pageType == 'undefined' ? '' : pageType);
            router.init(page);//pageType为页面类型id，用于区分各个页面
          });
        }
        else{// 单文件入口
          loadScript([base, vers, '/js/entry/index.js'].join(''), function(){
            App.init(pageType);
          });
        }
      });
    }

    // 静态页面可以通过接口拉取
    // loadScript('http://d.auto.qq.com/getjs/index?callback=versionCb');
    // 动态页面，直接调用versionCb，并将版本号传入
    versionCb('{$ver}');
</script>
eof;
/*--js.shtml end--*/