<?php

if(isset($_SERVER['DEBUG'])){
    define('DEBUG',$_SERVER['DEBUG']);
}

if (defined('DEBUG')){
    error_reporting(E_ALL);
    ini_set('display_errors', 'on');
}else{
    error_reporting(E_ERROR | E_WARNING | E_PARSE);
}

date_default_timezone_set('Asia/Shanghai');

define('REQUEST_TIME', (int) $_SERVER['REQUEST_TIME']);
define('ROOT_PATH',dirname(dirname(__FILE__)).'/');
define('ROOT_DIR', ROOT_PATH);

define('TW_DIR', ROOT_DIR . 'tw_libs/Tw');
define('APPS_DIR', ROOT_DIR . 'apps');
require TW_DIR . '/Tw.php';

header('Content-Type:text/html; charset=utf8');

/**
 * 错误日志处理
 */
//set_error_handler('_errorHandler');
/**
 * 请求清理函数
 */
//register_shutdown_function('_shutdown');

if(!empty($_SERVER['PATH_INFO'])){
	$pos = strpos($_SERVER['PATH_INFO'], 'htdocs');
	if ($pos !== false) {
		 $_SERVER['PATH_INFO']=substr($_SERVER['PATH_INFO'],$pos+6);
	}
}
$tw = Tw::getInstance();

// 设置默认app路径
$router = $tw->getRouter();
$router->enableDynamicMatch(true, array('defaultApp' => 'index'));
// var_dump($router);

$stime=microtime(true);
TW::reg('_startTime', $stime);
try {
  $ret = $tw->boot()->dispatch();
} catch (Exception $e) {
    $showMsg=$e->getMessage();
    if($showMsg=="No dispatch info found"){
        Tw_Response::statusCode('404');
    }else if (strpos($showMsg, 'Call to undefined method') === 0 || strpos($showMsg, "Can't find dispatch file") ===0 || strpos($showMsg, "Can't find dispatch file") === 0
|| strpos($showMsg, "Can't load controller")=== 0|| strpos($showMsg, "Can't dispatch action") === 0){
        Tw_Response::statusCode('404');
    }else{
        if (defined('DEBUG'))
        {
            echo '<br/>exception<br/>';
            print_r($e);
        }
    }
}



